<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@page import="com.ejie.ad74a.util.constantes.Constantes"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoAportacionEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoProcesoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TiposDocumentoRoleEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoNivelSoporteEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoIdentificadorEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.modelos.TipoContacto"%>
<%@page import="com.ejie.ad74a.util.constantes.modelos.TipoExpedientes"%>
<%@page import="com.ejie.ad74a.util.constantes.GradoDependenciaEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.ErroresExpedienteEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.ProcedimientosEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoProtocoloEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.ModoValoracionEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoValoracionEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.Constantes.NivelMaltratoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.Constantes.NivelSuicidioEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoMotivoRetrasoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoSentido29Enum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoResol24Enum"%>
<%@page import="com.ejie.ad74a.util.constantes.RecursosMovilizadosEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoAvisoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.SubTipoAvisoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoAlarmasEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.PropertiesConstantes"%>
<%@page import="com.ejie.ad74a.util.constantes.ae01b.EstadoLiqEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoMovimientoDispositivoEnum"%>


<script src="${staticsUrl}/ad74a/scripts/ad74aTeleasistencia/beneficiariosDetail.js" type="text/javascript"></script>
<%-- <script src="${staticsUrl}/ad74a/scripts/ad74aTeleasistencia/components/direccion.js" type="text/javascript"></script> --%>

<script type="text/javascript">

	var locale = "${idiomaLocale}";
</script>

<script type="text/javascript">
	 const idSolicitante01 = ${solicitante.idSolicitante01};

// 	 const esBaja = "${esBaja}";
	 const esBajaSolicitante = ${esBajaSolicitante};
	 const motivoBaja = "${motivoBaja}";
	 const tieneExpAbierto = ${tieneExpIniciado};
	 const beneficiario01SolicitanteVal = <%=Constantes.beneficiario01.SOLICITANTE.getId()%>;
	 const beneficiario01SolicitanteDesc = "<%=Constantes.beneficiario01.SOLICITANTE.getLabelDesc()%>";
	 const beneficiario01BeneficiarioVal = <%=Constantes.beneficiario01.BENEFICIARIO.getId()%>;
	 const beneficiario01BeneficiarioDesc = "<%=Constantes.beneficiario01.BENEFICIARIO.getLabelDesc()%>";
	 
	 const VALOR_NO = '<%=Constantes.VAL_NUM_NO%>';
	 const VALOR_SI = '<%=Constantes.VAL_NUM_SI%>';
	 
	 const sexo01HombreVal = "<%=TipoContacto.sexo03.HOMBRE.getId()%>";
	 const sexo01HombreDesc = "<%=TipoContacto.sexo03.HOMBRE.getLabelDesc()%>";
			
	 const sexo01MujerVal = "<%=TipoContacto.sexo03.MUJER.getId()%>";
	 const sexo01MujerDesc = "<%=TipoContacto.sexo03.MUJER.getLabelDesc()%>";
	 
	 const TipoNivelSoporteAltoDesc = '<%=TipoNivelSoporteEnum.ALTO.getLabelDesc()%>';
	 const TipoNivelSoporteAltoVal = '<%=TipoNivelSoporteEnum.ALTO.getId()%>';
	 const TipoNivelSoporteAltoRiesgoDesc = '<%=TipoNivelSoporteEnum.ALTO_RIESGO.getLabelDesc()%>';
	 const TipoNivelSoporteAltoRiesgoVal = '<%=TipoNivelSoporteEnum.ALTO_RIESGO.getId()%>';
	 const TipoNivelSoporteIntensoDesc = '<%=TipoNivelSoporteEnum.INTENSO.getLabelDesc()%>';
	 const TipoNivelSoporteIntensoVal = '<%=TipoNivelSoporteEnum.INTENSO.getId()%>';
	 const TipoNivelSoporteModeradoDesc = '<%=TipoNivelSoporteEnum.MODERADO.getLabelDesc()%>';
	 const TipoNivelSoporteModeradoVal = '<%=TipoNivelSoporteEnum.MODERADO.getId()%>';
	 const TipoNivelSoporteSinValorarDesc = '<%=TipoNivelSoporteEnum.SIN_VALORAR.getLabelDesc()%>';
	 const TipoNivelSoporteSinValorarVal = '<%=TipoNivelSoporteEnum.SIN_VALORAR.getId()%>';
	 
	 const GradoDependenciaGradoIDesc = '<%=GradoDependenciaEnum.GRADO_I.getLabelDesc()%>';
	 const GradoDependenciaGradoIVal = '<%=GradoDependenciaEnum.GRADO_I.getIdBBDD()%>';
	 const GradoDependenciaGradoINivel1Desc = '<%=GradoDependenciaEnum.GRADO_I_NIVEL_1.getLabelDesc()%>';
	 const GradoDependenciaGradoINivel1Val = '<%=GradoDependenciaEnum.GRADO_I_NIVEL_1.getIdBBDD()%>';
	 const GradoDependenciaGradoINivel2Desc = '<%=GradoDependenciaEnum.GRADO_I_NIVEL_2.getLabelDesc()%>';
	 const GradoDependenciaGradoINivel2Val = '<%=GradoDependenciaEnum.GRADO_I_NIVEL_2.getIdBBDD()%>';
	 
	 const GradoDependenciaGradoIIDesc = '<%=GradoDependenciaEnum.GRADO_II.getLabelDesc()%>';
	 const GradoDependenciaGradoIIVal = '<%=GradoDependenciaEnum.GRADO_II.getIdBBDD()%>';	 
	 const GradoDependenciaGradoIINivel1Desc = '<%=GradoDependenciaEnum.GRADO_II_NIVEL_1.getLabelDesc()%>';
	 const GradoDependenciaGradoIINivel1Val = '<%=GradoDependenciaEnum.GRADO_II_NIVEL_1.getIdBBDD()%>';	 
	 const GradoDependenciaGradoIINivel2Desc = '<%=GradoDependenciaEnum.GRADO_II_NIVEL_2.getLabelDesc()%>';
	 const GradoDependenciaGradoIINivel2Val = '<%=GradoDependenciaEnum.GRADO_II_NIVEL_2.getIdBBDD()%>';
	 
	 
	 const GradoDependenciaGradoIIIDesc = '<%=GradoDependenciaEnum.GRADO_III.getLabelDesc()%>';
	 const GradoDependenciaGradoIIIVal = '<%=GradoDependenciaEnum.GRADO_III.getIdBBDD()%>';
	 const GradoDependenciaGradoIIINivel1Desc = '<%=GradoDependenciaEnum.GRADO_III_NIVEL_1.getLabelDesc()%>';
	 const GradoDependenciaGradoIIINivel1Val = '<%=GradoDependenciaEnum.GRADO_III_NIVEL_1.getIdBBDD()%>';	 
	 const GradoDependenciaGradoIIINivel2Desc = '<%=GradoDependenciaEnum.GRADO_III_NIVEL_2.getLabelDesc()%>';
	 const GradoDependenciaGradoIIINivel2Val = '<%=GradoDependenciaEnum.GRADO_III_NIVEL_2.getIdBBDD()%>';
	 
	 
	 const NivelMaltratoUnoDesc = '<%=Constantes.NivelMaltratoEnum.NIVEL1.getLabelDesc()%>';
	 const NivelMaltratoUnoVal = '<%=Constantes.NivelMaltratoEnum.NIVEL1.getId()%>';
	 const NivelMaltratoDosDesc = '<%=Constantes.NivelMaltratoEnum.NIVEL2.getLabelDesc()%>';
	 const NivelMaltratoDosVal = '<%=Constantes.NivelMaltratoEnum.NIVEL2.getId()%>';
	 const NivelMaltratoTresDesc = '<%=Constantes.NivelMaltratoEnum.NIVEL3.getLabelDesc()%>';
	 const NivelMaltratoTresVal = '<%=Constantes.NivelMaltratoEnum.NIVEL3.getId()%>';
	 
	 const NivelSuicidioBajoDesc = '<%=Constantes.NivelSuicidioEnum.BAJO.getLabelDesc()%>';
	 const NivelSuicidioBajoVal = '<%=Constantes.NivelSuicidioEnum.BAJO.getId()%>';
	 const NivelSuicidioMedioDesc = '<%=Constantes.NivelSuicidioEnum.MEDIO.getLabelDesc()%>';
	 const NivelSuicidioMedioVal = '<%=Constantes.NivelSuicidioEnum.MEDIO.getId()%>';
	 const NivelSuicidioAltoDesc = '<%=Constantes.NivelSuicidioEnum.ALTO.getLabelDesc()%>';
	 const NivelSuicidioAltoVal = '<%=Constantes.NivelSuicidioEnum.ALTO.getId()%>';
	 
	 
	 const TipoIdentifDniDesc = '<%=TipoIdentificadorEnum.DNI.getLabelDesc()%>';
	 const TipoIdentifDniVal = '<%=TipoIdentificadorEnum.DNI.getId()%>';
	 const TipoIdentifCifDesc = '<%=TipoIdentificadorEnum.CIF.getLabelDesc()%>';
	 const TipoIdentifCifVal = '<%=TipoIdentificadorEnum.CIF.getId()%>';
	 const TipoIdentifNieDesc = '<%=TipoIdentificadorEnum.NIE.getLabelDesc()%>';
	 const TipoIdentifNieVal = '<%=TipoIdentificadorEnum.NIE.getId()%>';
	 const TipoIdentifPasaporteDesc = '<%=TipoIdentificadorEnum.PASAPORTE.getLabelDesc()%>';
	 const TipoIdentifPasaporteVal = '<%=TipoIdentificadorEnum.PASAPORTE.getId()%>';
	 const TipoIdentifOtrosDesc = '<%=TipoIdentificadorEnum.OTROS.getLabelDesc()%>';
	 const TipoIdentifOtrosVal = '<%=TipoIdentificadorEnum.OTROS.getId()%>';
	 
	const isSoloLecturaDatosBeneficiarios = ${isSoloLecturaDatosBeneficiarios};
	const solicitantes = ${solicitante.obtenerJSON()};
	const tieneInformeSocial =  ${tieneInfSocial};
	const isAdmin = ${isAdmin};
	const isPS = ${isPS};
	const isDSS = ${isDSS};
	const isSSB = ${isSSB};
	const isTecnicoDSS = ${isTecnicoDSS};
	const isDirector = ${isDirector};
	const valoracionInicial = ${valoracionInicial};
	
	const tipoEntrada00TelematicaVal = <%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getId()%>;
	const tipoEntrada00TelematicaDesc = "<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getLabelDesc()%>";
	 
	const tipoEntrada00Papel0Val = <%=TipoExpedientes.idTipoEntrada00.PAPEL0.getId()%>;
	const tipoEntrada00Papel0Desc = "<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getLabelDesc()%>";
	 
	const tipoEntrada00PresencialVal = <%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getId()%>;
	const tipoEntrada00PresencialDesc = "<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getLabelDesc()%>";

	const tipoEntrada00OficioVal = <%=TipoExpedientes.idTipoEntrada00.OFICIO.getId()%>;
	const tipoEntrada00OficioDesc = "<%=TipoExpedientes.idTipoEntrada00.OFICIO.getLabelDesc()%>";

	 
	const procedimientoAltaVal =  "<%=ProcedimientosEnum.ALTA.getId()%>";
	const procedimientoAltaDesc = "<%=ProcedimientosEnum.ALTA.getLabelDesc()%>";
	const procedimientoBajaVal = "<%=ProcedimientosEnum.BAJA.getId()%>";
	const procedimientoBajaDesc = "<%=ProcedimientosEnum.BAJA.getLabelDesc()%>";
	const procedimientoModificacionVal = "<%=ProcedimientosEnum.MODIFICACION.getId()%>";
	const procedimientoModificacionDesc ="<%=ProcedimientosEnum.MODIFICACION.getLabelDesc()%>";
	const procedimientoRevision_precioVal = "<%=ProcedimientosEnum.REVISION_PRECIO.getId()%>";
	const procedimientoRevision_precioDesc ="<%=ProcedimientosEnum.REVISION_PRECIO.getLabelDesc()%>";    
	const procedimientoInformeVal = "<%=ProcedimientosEnum.INFORME.getId()%>";
	const procedimientoInformeDesc ="<%=ProcedimientosEnum.INFORME.getLabelDesc()%>";  
	const procedimientoX87AltaVal ="<%=ProcedimientosEnum.X87_TEA_1.getId()%>";
	const procedimientoX87AltaDesc ="<%=ProcedimientosEnum.X87_TEA_1.getLabelDesc()%>";
	const procedimientoX87BajaVal ="<%=ProcedimientosEnum.X87_TEA_2.getId()%>";
	const procedimientoX87BajaDesc ="<%=ProcedimientosEnum.X87_TEA_2.getLabelDesc()%>";
	const procedimientoX87RevVal ="<%=ProcedimientosEnum.X87_TEA_4.getId()%>";
	const procedimientoX87RevDesc ="<%=ProcedimientosEnum.X87_TEA_4.getLabelDesc()%>";
	
	let isEditableDatosBeneficiariosPS = "";
	let isEditableDatosBancariosPS = "";
	
	const TIPO_APORTACION_SOL = "<%=TipoAportacionEnum.SOLICITUD.getTipo()%>";
	const TIPOS_SOLICITUD = <%=TipoProcesoEnum.getTiposSolicitud()%>;
	const TIPO_SOLICITUD_ALTA = <%=TipoProcesoEnum.SOLICITUD_ALTA.getTipo()%>;
	const TIPO_SOLICITUD_MODIFICACION = <%=TipoProcesoEnum.SOLICITUD_MODIFICACION.getTipo()%>;	
	
	const ESTADO_ACEPTADA = "<%=Constantes.EstadosBandejaTelematica.ACEPTADO%>";
	const ERRORES_EXPEDIENTES = <%=ErroresExpedienteEnum.getTiposError()%>;
	
	const userName = '${userName}';
	
	const IDTIPOENTRADA00_PAPEL0_VAL = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getId()%>';
	const IDTIPOENTRADA00_PAPEL0_DESC = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getLabelDesc()%>';	
	const IDTIPOENTRADA00_PRESENCIAL_VAL = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getId()%>';
	const IDTIPOENTRADA00_PRESENCIAL_DESC = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getLabelDesc()%>';	
	const IDTIPOENTRADA00_TELEMATICA_VAL = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getId()%>';
	const IDTIPOENTRADA00_TELEMATICA_DESC = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getLabelDesc()%>';
	
	const DOCSOLICITUD_ROLEID = '<%=TiposDocumentoRoleEnum.SOLICITUD.getRoleID()%>';
	const DOCSOLICITUD_ROLEID_DESC = '<%=TiposDocumentoRoleEnum.SOLICITUD.getLabelDesc()%>';
	const DOCOTROS_ROLEID = '<%=TiposDocumentoRoleEnum.OTROS.getRoleID()%>';
	const DOCSOTROS_ROLEID_DESC = '<%=TiposDocumentoRoleEnum.OTROS.getLabelDesc()%>';
	
	
	const TipoProtocoloSegDesc = '<%=TipoProtocoloEnum.SEG.getLabelDesc()%>';
	const TipoProtocoloSegVal = '<%=TipoProtocoloEnum.SEG.getId()%>';
	const TipoProtocoloMaltratoDesc = '<%=TipoProtocoloEnum.MALTRATO.getLabelDesc()%>';
	const TipoProtocoloMaltratoVal = '<%=TipoProtocoloEnum.MALTRATO.getId()%>';
	const TipoProtocoloSuicidioDesc = '<%=TipoProtocoloEnum.SUICIDIO.getLabelDesc()%>';
	const TipoProtocoloSuicidioVal = '<%=TipoProtocoloEnum.SUICIDIO.getId()%>';
	
	const TipoValoracionInicialDesc = '<%=TipoValoracionEnum.INICIAL.getLabelDesc()%>';
	const TipoValoracionInicialVal = '<%=TipoValoracionEnum.INICIAL.getId()%>';
	const TipoValoracionPeriodicaDesc = '<%=TipoValoracionEnum.PERIODICA.getLabelDesc()%>';
	const TipoValoracionPeriodicaVal = '<%=TipoValoracionEnum.PERIODICA.getId()%>';
	const TipoValoracionCambioDesc = '<%=TipoValoracionEnum.CAMBIO_DOMICILIO.getLabelDesc()%>';
	const TipoValoracionCambioVal = '<%=TipoValoracionEnum.CAMBIO_DOMICILIO.getId()%>';

	const ModoValoracionPresencialDesc = '<%=ModoValoracionEnum.PRESENCIAL.getLabelDesc()%>';
	const ModoValoracionPresencialVal = '<%=ModoValoracionEnum.PRESENCIAL.getId()%>';
	const ModoValoracionTelefonicaDesc = '<%=ModoValoracionEnum.TELEFONICA.getLabelDesc()%>';
	const ModoValoracionTelefonicaVal = '<%=ModoValoracionEnum.TELEFONICA.getId()%>';
	const ModoValoracionTelefonicaEspecializadaDesc = '<%=ModoValoracionEnum.TELEFONICA_ESPECIALIZADA.getLabelDesc()%>';
	const ModoValoracionTelefonicaEspecializadaVal = '<%=ModoValoracionEnum.TELEFONICA_ESPECIALIZADA.getId()%>';
	
	const TipoNivelMaltratoNivel1Desc = '<%=NivelMaltratoEnum.NIVEL1.getLabelDesc()%>';
	const TipoNivelMaltratoNivel1Val = '<%=NivelMaltratoEnum.NIVEL1.getId()%>';
	const TipoNivelMaltratoNivel2Desc = '<%=NivelMaltratoEnum.NIVEL2.getLabelDesc()%>';
	const TipoNivelMaltratoNivel2Val = '<%=NivelMaltratoEnum.NIVEL2.getId()%>';
	const TipoNivelMaltratoNivel3Desc = '<%=NivelMaltratoEnum.NIVEL3.getLabelDesc()%>';
	const TipoNivelMaltratoNivel3Val = '<%=NivelMaltratoEnum.NIVEL3.getId()%>';	
	
	const TipoMotivoRetrasoAusenteDesc = '<%=TipoMotivoRetrasoEnum.AUSENTE.getLabelDesc()%>';
	const TipoMotivoRetrasoAusenteVal = '<%=TipoMotivoRetrasoEnum.AUSENTE.getId()%>';
	const TipoMotivoRetrasoIlocalizableDesc = '<%=TipoMotivoRetrasoEnum.ILOCALIZABLE.getLabelDesc()%>';
	const TipoMotivoRetrasoIlocalizableVal = '<%=TipoMotivoRetrasoEnum.ILOCALIZABLE.getId()%>';
	const TipoMotivoRetrasoIncidenciaPrestadorDesc = '<%=TipoMotivoRetrasoEnum.INCIDENCIA_PRESTADOR.getLabelDesc()%>';
	const TipoMotivoRetrasoIncidenciaPrestadorVal = '<%=TipoMotivoRetrasoEnum.INCIDENCIA_PRESTADOR.getId()%>';
	const TipoMotivoRetrasoNoRespondeDesc = '<%=TipoMotivoRetrasoEnum.NO_RESPONDE.getLabelDesc()%>';
	const TipoMotivoRetrasoNoRespondeVal = '<%=TipoMotivoRetrasoEnum.NO_RESPONDE.getId()%>';
	const TipoMotivoRetrasoOtrosDesc = '<%=TipoMotivoRetrasoEnum.OTROS.getLabelDesc()%>';
	const TipoMotivoRetrasoOtrosVal = '<%=TipoMotivoRetrasoEnum.OTROS.getId()%>';
	
	const Sentido29EmitidaDesc = '<%=TipoSentido29Enum.EMITIDA.getLabelDesc()%>';
	const Sentido29EmitidaVal = '<%=TipoSentido29Enum.EMITIDA.getId()%>';
	const Sentido29RecibidaDesc = '<%=TipoSentido29Enum.RECIBIDA.getLabelDesc()%>';
	const Sentido29RecibidaVal = '<%=TipoSentido29Enum.RECIBIDA.getId()%>';

	const TipoResol24ResueltaCADesc = '<%=TipoResol24Enum.RESUELTA_CA.getLabelDesc()%>';
	const TipoResol24ResueltaCAVal = '<%=TipoResol24Enum.RESUELTA_CA.getId()%>';
	const TipoResol24ResueltaEmergenciasDesc = '<%=TipoResol24Enum.RESUELTA_EMERGENCIAS.getLabelDesc()%>';
	const TipoResol24ResueltaEmergenciasVal = '<%=TipoResol24Enum.RESUELTA_EMERGENCIAS.getId()%>';
	const TipoResol24ResueltaResueltaSocioFamiliarDesc = '<%=TipoResol24Enum.RESUELTA_SOCIO_FAMILIAR.getLabelDesc()%>';
	const TipoResol24ResueltaResueltaSocioFamiliarVal = '<%=TipoResol24Enum.RESUELTA_SOCIO_FAMILIAR.getId()%>';
	const TipoResol24ResueltaResuelta_UMDesc = '<%=TipoResol24Enum.RESUELTA_UM.getLabelDesc()%>';
	const TipoResol24ResueltaResuelta_UMVal = '<%=TipoResol24Enum.RESUELTA_UM.getId()%>';
	
	const RECURSOMOVILIZADO_FAMILIARESDesc = '<%=RecursosMovilizadosEnum.FAMILIARES.getLabelDesc()%>';
	const RECURSOMOVILIZADO_FAMILIARESVal = <%=RecursosMovilizadosEnum.FAMILIARES.getId()%>;
	const RECURSOMOVILIZADO_UMPROPIADesc = '<%=RecursosMovilizadosEnum.UM_PROPIA.getLabelDesc()%>';
	const RECURSOMOVILIZADO_UMPROPIAVal = <%=RecursosMovilizadosEnum.UM_PROPIA.getId()%>;
	const RECURSOMOVILIZADO_UMSOPORTEDesc = '<%=RecursosMovilizadosEnum.UM_SOPORTE.getLabelDesc()%>';
	const RECURSOMOVILIZADO_UMSOPORTEVal = <%=RecursosMovilizadosEnum.UM_SOPORTE.getId()%>;
	const RECURSOMOVILIZADO_SOSDEIAKDesc = '<%=RecursosMovilizadosEnum.SOS_DEIAK.getLabelDesc()%>';
	const RECURSOMOVILIZADO_SOSDEIAKVal = <%=RecursosMovilizadosEnum.SOS_DEIAK.getId()%>;
	const RECURSOMOVILIZADO_CSDesc = '<%=RecursosMovilizadosEnum.CS.getLabelDesc()%>';
	const RECURSOMOVILIZADO_CSVal = <%=RecursosMovilizadosEnum.CS.getId()%>;
	
	//Tipo y subtipos de avisos
	const TIPOAVISO_ACTUAL = "<%=TipoAvisoEnum.ACTUAL.getId()%>";
	const TIPOAVISO_DISP = "<%=	TipoAvisoEnum.DISP.getId()%>";
	const TIPOAVISO_INFINT = "<%=TipoAvisoEnum.INFINT.getId()%>";
	const TIPOAVISO_INFSOC = "<%=TipoAvisoEnum.INFSOC.getId()%>";
	const TIPOAVISO_INFSUIC = "<%=TipoAvisoEnum.INFSUIC.getId()%>";
	const TIPOAVISO_INST = "<%=TipoAvisoEnum.INST.getId()%>";
	const TIPOAVISO_QUEJREC = "<%=TipoAvisoEnum.QUEJREC.getId()%>";
	const TIPOAVISO_OTROS = "<%=TipoAvisoEnum.OTROS.getId()%>";


	const SUBTIPOAVISO_ANULARBAJA = "<%=SubTipoAvisoEnum.ANULARBAJA.getId()%>"
	const SUBTIPOAVISO_BAJA = "<%=SubTipoAvisoEnum.BAJA.getId()%>"
	const SUBTIPOAVISO_BAJAYALTA = "<%=SubTipoAvisoEnum.BAJAYALTA.getId()%>"
	const SUBTIPOAVISO_BAJAANTICIPADA = "<%=SubTipoAvisoEnum.BAJAANTICIPADA.getId()%>"
	const SUBTIPOAVISO_CAMBIODOM = "<%=SubTipoAvisoEnum.CAMBIODOM.getId()%>"
	const SUBTIPOAVISO_MODIFDATOSDOM = "<%=SubTipoAvisoEnum.MODIFDATOSDOM.getId()%>"
	const SUBTIPOAVISO_AVERIA = "<%=SubTipoAvisoEnum.AVERIA.getId()%>"
	const SUBTIPOAVISO_NUEVODISP = "<%=SubTipoAvisoEnum.NUEVODISP.getId()%>"
	const SUBTIPOAVISO_PERDIDA = "<%=SubTipoAvisoEnum.PERDIDA.getId()%>"
	const SUBTIPOAVISO_SUSTITUCION = "<%=SubTipoAvisoEnum.SUSTITUCION.getId()%>"
	const SUBTIPOAVISO_RECOGAPARATO = "<%=SubTipoAvisoEnum.RECOGAPARATO.getId()%>"
	const SUBTIPOAVISO_OTROS = "<%=SubTipoAvisoEnum.OTROS.getId()%>"
	const SUBTIPOAVISO_ENVDSS = "<%=SubTipoAvisoEnum.ENVDSS.getId()%>"
	const SUBTIPOAVISO_SOLICDSS = "<%=SubTipoAvisoEnum.SOLICDSS.getId()%>"
	const SUBTIPOAVISO_SOLICPS = "<%=SubTipoAvisoEnum.SOLICPS.getId()%>"
	const SUBTIPOAVISO_ENVEXPAB = "<%=SubTipoAvisoEnum.ENVEXPAB.getId()%>"
	const SUBTIPOAVISO_ENVDSSSUIC = "<%=SubTipoAvisoEnum.ENVDSSSUIC.getId()%>"
	const SUBTIPOAVISO_CAMBIOCITA = "<%=SubTipoAvisoEnum.CAMBIOCITA.getId()%>"
	const SUBTIPOAVISO_COMENTINST = "<%=SubTipoAvisoEnum.COMENTINST.getId()%>"
	const SUBTIPOAVISO_INSTAL = "<%=SubTipoAvisoEnum.INSTAL.getId()%>"
	const SUBTIPOAVISO_SERV = "<%=SubTipoAvisoEnum.SERV.getId()%>"
	const SUBTIPOAVISO_OTRASQUEJ = "<%=SubTipoAvisoEnum.OTRASQUEJ.getId()%>"
	const SUBTIPOAVISO_ALTRIES = "<%=SubTipoAvisoEnum.ALTRIES.getId()%>"
	const SUBTIPOAVISO_NOCONTACUSU = "<%=SubTipoAvisoEnum.NOCONTACUSU.getId()%>"
	const SUBTIPOAVISO_CORRECERR = "<%=SubTipoAvisoEnum.CORRECERR.getId()%>"
	
	const TIPOALARMA_DISPFUNC = "<%=TipoAlarmasEnum.DISPFUN.getId()%>";
	const TIPOALARMA_LLAMADA = "<%=TipoAlarmasEnum.LLAMADA.getId()%>";
	const TIPOALARMA_DISPSEG = "<%=TipoAlarmasEnum.DISPSEG.getId()%>";
	
	const URL_AE01B = '<%=PropertiesConstantes.Props.URL_AE01B.getValue()%>';
	
	const ESTADO_LIQ_PEND_COBRO = '<%=EstadoLiqEnum.PENDIENTE_COBRO.getId()%>';
	const ESTADO_LIQ_PEND_COBRO_DESC = '<%=EstadoLiqEnum.PENDIENTE_COBRO.getLabelDesc()%>';
	const ESTADO_LIQ_ANULADA = '<%=EstadoLiqEnum.ANULADA.getId()%>';
	const ESTADO_LIQ_ANULADA_DESC = '<%=EstadoLiqEnum.ANULADA.getLabelDesc()%>';
	const ESTADO_LIQ_COBRO_PROV = '<%=EstadoLiqEnum.COBRO_PROVISIONAL.getId()%>';
	const ESTADO_LIQ_COBRO_PROV_DESC = '<%=EstadoLiqEnum.COBRO_PROVISIONAL.getLabelDesc()%>';
	const ESTADO_LIQ_COBRO_DEF = '<%=EstadoLiqEnum.COBRO_DEFINITIVO.getId()%>';
	const ESTADO_LIQ_COBRO_DEF_DESC = '<%=EstadoLiqEnum.COBRO_DEFINITIVO.getLabelDesc()%>';
	const ESTADO_LIQ_VIA_APREMIO = '<%=EstadoLiqEnum.VIA_APREMIO.getId()%>';
	const ESTADO_LIQ_VIA_APREMIO_DESC = '<%=EstadoLiqEnum.VIA_APREMIO.getLabelDesc()%>';
	
	const TIPO_MOVIMIENTO_DISPOSITIVO_ALTA_VAL = "<%=TipoMovimientoDispositivoEnum.ALTA.getId()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_ALTA_DESC = "<%=TipoMovimientoDispositivoEnum.ALTA.getLabelDesc()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_BAJA_VAL = "<%=TipoMovimientoDispositivoEnum.BAJA.getId()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_BAJA_DESC = "<%=TipoMovimientoDispositivoEnum.BAJA.getLabelDesc()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_SUSTITUCION_VAL = "<%=TipoMovimientoDispositivoEnum.SUSTITUCION.getId()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_SUSTITUCION_DESC = "<%=TipoMovimientoDispositivoEnum.SUSTITUCION.getLabelDesc()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_SEGMENTACION_VAL = "<%=TipoMovimientoDispositivoEnum.SEGMENTACION.getId()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_SEGMENTACION_DESC = "<%=TipoMovimientoDispositivoEnum.SEGMENTACION.getLabelDesc()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_RENOVACION_VAL = "<%=TipoMovimientoDispositivoEnum.RENOVACION.getId()%>";
	const TIPO_MOVIMIENTO_DISPOSITIVO_RENOVACION_DESC = "<%=TipoMovimientoDispositivoEnum.RENOVACION.getLabelDesc()%>";
	
	
	const esBaja = ${esBaja};
	const numNotas = ${numNotas};
	const usuarioConectado = "${usuarioConectado}";
	
	const dispositivosAll = "${dispositivosAll}";
	
</script>
